
Redmine - Defect #9839

Gantt abbr of weekday should not be necessarily the first letter of the long day name

2011-12-19 08:46 - 何 于

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version:  

Description

In chinese, the gantt looks like

 before.PNG 

But we want

 after.PNG 

The problem cause by

<%= day_name(wday).first %>

The variants day_names and abbr_day_names setted in en.yml

 en.PNG 

and in zh.yml

 zh.PNG 

so day_name(wday).first != abbr_day_name(wday)

I changed the code, it works fine, and attach last.

 abbr_day.patch 

Related issues:

Is duplicate of Redmine - Defect #6502: Gantt chart day_name error Closed 2010-09-27

Associated revisions

Revision 10202 - 2012-08-13 20:13 - Jean-Philippe Lang

Use abbr_day_name to get the first letter of the day name (#9839).

History

#1 - 2011-12-19 09:25 - Etienne Massip

- Tracker changed from Patch to Defect

- Subject changed from abbr of weekday to Gantt abbr of weekday should not be necessarily the first letter of the long day name

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#2 - 2012-02-15 11:24 - 星 陈

+1

#3 - 2012-08-13 20:13 - Jean-Philippe Lang

- Category changed from Gantt to I18n

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.1.0

- Resolution set to Fixed

Fix committed in r10202, thanks.
https://www.redmine.org/projects/redmine/repository/svn/revisions/10202


before.PNG 1.33 KB 2011-12-19 何 于

after.PNG 1.53 KB 2011-12-19 何 于

en.PNG 16.4 KB 2011-12-19 何 于

zh.PNG 18.1 KB 2011-12-19 何 于

abbr_day.patch 980 Bytes 2011-12-19 何 于
